Skip to main content
GET
/
news
/
v1
/
news
/
feed
Get news feed
curl --request GET \
  --url https://api.messari.io/news/v1/news/feed \
  --header 'X-Messari-API-Key: <api-key>'
import requests

url = "https://api.messari.io/news/v1/news/feed"

headers = {"X-Messari-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};

fetch('https://api.messari.io/news/v1/news/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": null,
  "data": [
    {
      "assets": [
        {
          "id": "1e31218a-e44e-4285-820c-8282ee222035",
          "name": "Bitcoin",
          "slug": "bitcoin",
          "symbol": "BTC"
        },
        {
          "id": "b3d5d66c-26a2-404c-9325-91dc714a722b",
          "name": "Solana",
          "slug": "solana",
          "symbol": "SOL"
        },
        {
          "id": "21c795f5-1bfd-40c3-858e-e9d7e820c6d0",
          "name": "Ethereum",
          "slug": "ethereum",
          "symbol": "ETH"
        }
      ],
      "publishTimeMillis": 1762444169000,
      "publishTime": "2025-11-06T15:49:29Z",
      "source": {
        "id": "69e033a6-a60d-4694-b0b7-1d85c52c8a46",
        "sourceName": "CryptoPotato",
        "sourceType": "News"
      },
      "title": "All the Bullish Narratives Are Still There: So Why Is Bitcoin (BTC) Breaking Down?",
      "url": "https://cryptopotato.com/all-the-bullish-narratives-are-still-there-so-why-is-bitcoin-btc-breaking-down/",
      "category": null,
      "subcategory": null,
      "description": "BTC, ETH, and SOL are losing all major SMAs signals amid deteriorating structure, even though bullish catalysts remain \"on paper.\"",
      "sentiment": [
        {
          "id": "1e31218a-e44e-4285-820c-8282ee222035",
          "name": "Bitcoin",
          "slug": "bitcoin",
          "symbol": "BTC",
          "sentiment": 0.2
        },
        {
          "id": "21c795f5-1bfd-40c3-858e-e9d7e820c6d0",
          "name": "Ethereum",
          "slug": "ethereum",
          "symbol": "ETH",
          "sentiment": 0
        },
        {
          "id": "b3d5d66c-26a2-404c-9325-91dc714a722b",
          "name": "Solana",
          "slug": "solana",
          "symbol": "SOL",
          "sentiment": -0.2
        }
      ]
    },
    {
      "assets": [
        {
          "id": "51f8ea5e-f426-4f40-939a-db7e05495374",
          "name": "Tether",
          "slug": "tether",
          "symbol": "USDT"
        },
        {
          "id": "4515ba15-2719-4183-b0ca-b9255d55b67e",
          "name": "USDC",
          "slug": "circle-usdc-stablecoin",
          "symbol": ""
        },
        {
          "id": "1e31218a-e44e-4285-820c-8282ee222035",
          "name": "Bitcoin",
          "slug": "bitcoin",
          "symbol": "BTC"
        }
      ],
      "publishTimeMillis": 1762443555000,
      "publishTime": "2025-11-06T15:39:15Z",
      "source": {
        "id": "dc498664-5ea0-48ef-80fa-e4e74c291094",
        "sourceName": "The Block",
        "sourceType": "News"
      },
      "title": "Cathie Wood trims bitcoin bull case by $300,000 as stablecoins 'usurp' part of its key use case",
      "url": "https://www.theblock.co/post/377897/arks-cathie-wood-cuts-bitcoin-bull-case-300000-stablecoins-usurp-part-role?utm_source=rss&utm_medium=rss",
      "category": null,
      "subcategory": null,
      "description": "\n            Her comments come as institutions recalibrate BTC forecasts, with Galaxy turning cautious and JPMorgan projecting renewed upside.\n        ",
      "sentiment": [
        {
          "id": "1e31218a-e44e-4285-820c-8282ee222035",
          "name": "Bitcoin",
          "slug": "bitcoin",
          "symbol": "BTC",
          "sentiment": 0.4
        },
        {
          "id": "51f8ea5e-f426-4f40-939a-db7e05495374",
          "name": "Tether",
          "slug": "tether",
          "symbol": "USDT",
          "sentiment": 0
        },
        {
          "id": "4515ba15-2719-4183-b0ca-b9255d55b67e",
          "name": "USDC",
          "slug": "circle-usdc-stablecoin",
          "symbol": "",
          "sentiment": 0
        }
      ]
    },
    {
      "assets": [
        {
          "id": "f2cfff3b-a8ae-434f-b9e3-1c81a0ba2f81",
          "name": "Internet Computer",
          "slug": "internet-computer",
          "symbol": "ICP"
        },
        {
          "id": "9034399e-e229-48ca-8ff3-5ea5fc599080",
          "name": "Zcash",
          "slug": "zcash",
          "symbol": "ZEC"
        },
        {
          "id": "1e31218a-e44e-4285-820c-8282ee222035",
          "name": "Bitcoin",
          "slug": "bitcoin",
          "symbol": "BTC"
        },
        {
          "id": "21c795f5-1bfd-40c3-858e-e9d7e820c6d0",
          "name": "Ethereum",
          "slug": "ethereum",
          "symbol": "ETH"
        },
        {
          "id": "fadb2da4-d838-48e3-b441-dfcb026ac508",
          "name": "Coinbase",
          "slug": "coinbase",
          "symbol": "COINBASE"
        }
      ],
      "publishTimeMillis": 1762442765000,
      "publishTime": "2025-11-06T15:26:05Z",
      "source": {
        "id": "60dbf7df-fdab-4f3a-9ece-e26eedbb4d44",
        "sourceName": "The Defiant",
        "sourceType": "News"
      },
      "title": "BTC Holds Out Above $102,000 as Markets Trade Flat",
      "url": "https://thedefiant.io/news/markets/bitcoin-holds-out-above-usd102000-as-markets-trade-flat",
      "category": null,
      "subcategory": null,
      "description": "Crypto markets are mostly flat today with a total market cap around $3.48 trillion while Bitcoin chops between $102K and $103K.\n",
      "sentiment": [
        {
          "id": "1e31218a-e44e-4285-820c-8282ee222035",
          "name": "Bitcoin",
          "slug": "bitcoin",
          "symbol": "BTC",
          "sentiment": 0.2
        },
        {
          "id": "21c795f5-1bfd-40c3-858e-e9d7e820c6d0",
          "name": "Ethereum",
          "slug": "ethereum",
          "symbol": "ETH",
          "sentiment": 0
        },
        {
          "id": "9034399e-e229-48ca-8ff3-5ea5fc599080",
          "name": "Zcash",
          "slug": "zcash",
          "symbol": "ZEC",
          "sentiment": 0.5
        },
        {
          "id": "f2cfff3b-a8ae-434f-b9e3-1c81a0ba2f81",
          "name": "Internet Computer",
          "slug": "internet-computer",
          "symbol": "ICP",
          "sentiment": 0.8
        },
        {
          "id": "fadb2da4-d838-48e3-b441-dfcb026ac508",
          "name": "Coinbase",
          "slug": "coinbase",
          "symbol": "COINBASE",
          "sentiment": -0.2
        }
      ]
    }
  ],
  "metadata": {
    "limit": 3,
    "page": 1,
    "totalRows": 213,
    "totalPages": 71
  }
}
{
"data": "<unknown>",
"error": "<string>"
}
{
"data": "<unknown>",
"error": "<string>"
}
{
"data": "<unknown>",
"error": "<string>"
}
x402 Support: Supported. See the x402 guide.

Authorizations

X-Messari-API-Key
string
header
required

Query Parameters

publishedBefore
string
default:2025-11-06T23:59:59Z

Time range end in RFC3339 format (e.g., '2025-11-06T23:59:59Z'). Also accepts timestamp in milliseconds UTC. If publishedBefore is provided, publishedAfter must be greater.

Example:

"2025-11-06T23:59:59Z"

publishedAfter
string
default:2025-11-05T00:00:00Z

Time range start in RFC3339 format (e.g., '2025-11-05T00:00:00Z'). Also accepts timestamp in milliseconds UTC.

Example:

"2025-11-05T00:00:00Z"

sourceTypes
enum<string>[]

List of source types to filter by. If provided, the results will be filtered by these source types: Blog,Forum,News

Available options:
Blog,
Forum,
News
Example:
["News"]
sourceIds
string[]

List of source IDs to filter by. If provided, the results will be filtered by these source IDs.

Example:
["67852f4b-e8a8-4468-80c0-dd0319db014c"]
assetIds
string[]

List of asset identifiers to filter by - accepts slugs (e.g., 'bitcoin', 'ethereum') or UUIDs. If provided, the results will be filtered by these asset identifiers.

Example:
["bitcoin", "ethereum"]
sort
enum<integer>

Sort by publish time in ascending or descending order. 2 DESC by default.

Available options:
1,
2
limit
integer<int64>
default:10

Number of results per page

page
integer<int64>
default:0

Page number

Response

Default response

data
object[]
required
error
string
metadata
object